Loading...
Searching...
No Matches
tween< T > Class Template Reference

## Detailed Description

template<typename T>
class tweeny::tween< T >

Class specialization when a tween has a single value.

This class is preferred automatically by your compiler when your tween has only one value. It exists mainly so that you dont need to use std::get<0> to obtain a single value when using tween::step, tween::seek or any other value returning function. Other than that, you should look at the tweeny::tween documentation.

Except for this little detail, this class methods and behaviours are exactly the same.

`#include <tween.h>`

## Public Member Functions

| tween ()
tween< T > & | to (T t)
template<typename... Fs>
tween< T > & | via (Fs... fs)
template<typename... Fs>
tween< T > & | via (int index, Fs... fs)
template<typename... Ds>
tween< T > & | during (Ds... ds)
const T & | step (int32_t dt, bool suppressCallbacks=false)
const T & | step (uint32_t dt, bool suppressCallbacks=false)
const T & | step (float dp, bool suppressCallbacks=false)
const T & | seek (float p, bool suppressCallbacks=false)
const T & | seek (int32_t d, bool suppressCallbacks=false)
const T & | seek (uint32_t d, bool suppressCallbacks=false)
tween< T > & | onStep (typename detail::tweentraits< T >::callbackType callback)
tween< T > & | onStep (typename detail::tweentraits< T >::noValuesCallbackType callback)
tween< T > & | onStep (typename detail::tweentraits< T >::noTweenCallbackType callback)
tween< T > & | onSeek (typename detail::tweentraits< T >::callbackType callback)
tween< T > & | onSeek (typename detail::tweentraits< T >::noValuesCallbackType callback)
tween< T > & | onSeek (typename detail::tweentraits< T >::noTweenCallbackType callback)
const T & | peek () const
T | peek (float progress) const
T | peek (uint32_t time) const
uint32_t | duration () const
float | progress () const
tween< T > & | forward ()
tween< T > & | backward ()
int | direction () const
const T & | jump (int32_t point, bool suppressCallbacks=false)
uint16_t | point () const